<?php

declare(strict_types=1);

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Http\Requests\MessageRequest;
use App\Models\Message;
use Illuminate\Http\JsonResponse;

class MessageController extends Controller
{
    public function store(MessageRequest $request): JsonResponse
    {
        $data = $request->toArray();
        Message::query()->create([
            'message' => $data['message'],
            'email' => $data['email'],
            'sender' => $data['sender'],
        ]);

        return response()->json([
            'message' => 'Dziękuję za wiadomość! Odpowiem możliwie najszybciej.'
        ]);
    }
}
