<?php

declare(strict_types=1);

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class MessageRequest extends FormRequest
{
    public function rules(): array
    {
        return [
            'message' => 'required|string|min:3|max:500',
            'sender' => 'required|string|min:3|max:50',
            'email' => 'required|email|max:250',
        ];
    }

    public function messages(): array
    {
        return [
            'message.required' => 'Pole wiadomości jest wymagane.',
            'sender.required' => 'Pole nadawcy jest wymagane.',
            'email.required' => 'Pole e-mail jest wymagane.',
            'message.min' => 'Pole wiadomości wymaga 3 znaki.',
            'sender.min' => 'Pole nadawcy wymaga 3 znaki.',
            'message.max' => 'Pole wiadomości może mieć maksymalnie 50 znaków.',
            'sender.max' => 'Pole nadawcy może mieć maksymalnie 500 znaków.',
            'email.email' => 'Pole musi być e-mailem.',
            'email.max' => 'Pole e-mail może mieć maksymalnie 250 znaków.',
        ];
    }
}
