<?php

declare(strict_types=1);

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class FullCVResource extends JsonResource
{
    public static $wrap = null;

    public function toArray($request = null): array
    {
        return [
            'id' => $this->id,
            'token' => $this->token,
            'email' => $this->email,
            'recipient' => $this->recipient,
            'phone' => new PhoneResource($this->resource),
            'locations' => $this->locations,
            'views' => $this->resource->info()->select('id')->get()->count(),
            'registeredViews' => $this->views,
            'sended' => [
                'status' => $this->sended,
                'datetime' => $this->sended_timestamp?->format('d-m-Y H:i:s'),
            ],
            'position' => $this->position,
            'mission' => explode(PHP_EOL, $this->mission ?? '', 5),
            'rodo' => $this->rodo,
            'notes' => $this->notes,
            'created' => $this->created_at->format('d-m-Y H:i:s'),
            'updated' => $this->updated_at->format('d-m-Y H:i:s'),
        ];
    }
}
