<?php

declare(strict_types=1);

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

/**
 * @property int $id
 * @property int $cv_id
 * @property int $ip
 */
class CVInfo extends Model
{
    use HasFactory;

    protected $table = 'cv_infos';

    protected $guarded = [];

    public function cv(): BelongsTo
    {
        return $this->belongsTo(CV::class, ownerKey: 'cv_id');
    }
}
